import { world, system } from '@minecraft/server';

const months = ['Solis', 'Vesden', 'Frian', 'Ender', 'Belsn',
'Cald', 'Gridel', 'Climaw', 'Skelach', 'Helna', 'Theal', 'Cor'];

let day = (world.getDay() + 1) % 31;
let month = Math.floor((world.getDay() + 1) / 12);
let year = Math.ceil((world.getDay() + 1) / 372);

function getTime() {  
  if (world.getTimeOfDay() === 40) {
    if (day === 0) {
      day = 1;
      month += 1;
      if (month === 0) {
        month = 1;
        year += 1;
      };
    };
    world.sendMessage(`The ${day}th of ${months[month]} month, ${year} year.`);
    day += 1;
  };
  system.run(getTime);
};

system.run(getTime);